﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Input;
using System.Windows;

namespace XamMenuItemCommandBehavior
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ICommand DoSomethingCommand { get; set; }

        public ViewModel()
        {
            DoSomethingCommand = new DelegateCommand(DoSomething);
        }

        private void DoSomething(object param)
        {
            MessageBox.Show(param.ToString());
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void NotifyPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
